Skip to main content
GET
/
drivers
/
qr-codes
Get driver QR codes
curl --request GET \
  --url https://api.samsara.com/drivers/qr-codes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "driverId": 494123,
      "qrCodeLink": "https://cloud.samsara.com/qr_code/18979ef6-663e-446b-8d5a-0ff0781b8bab"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverIds
string[]
required

String of comma separated driver IDs. List of driver - QR codes for specified driver(s) will be returned.

Response

OK response.

data
object[]
required

List of driver QR codes.